unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    RadioGroup1: TRadioGroup;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


{  AmlDataSender.dll    AmlDataSender.tlb
 ,    AmlDataSender.dll:
1.      (
...\Program Files\Aml Pages\Plugins)
2.        
   Install.bat        )
3.   Delphi 
4.   Delphi    AmlDataSender.tlb   
     Register Type Library. 
  AMLDATASENDERLib_TLB.pas.   .
5.    AMLDATASENDERLib_TLB.pas.
6.
       , 
  AMLDATASENDERLib_TLB,   


P.S.      ,     
  AmlDataSender.dll   COM- 

                    Best regards
                      . (spp)
************************************************************
}
uses
  AMLDATASENDERLib_TLB;

{    COM ,    ,  
   
  : II, TestObjInterface
       COM
}
var
  II, TestObjInterface : IAmlDataSender;

procedure TForm1.FormCreate(Sender: TObject);
begin
{        .   
   Co-,    IUnknown,
        QueryInterface}
  II:= CoIAmlDataSender.Create;
  II.QueryInterface(IID_IIAmlDataSender, TestObjInterface);
{         IAmlDataSender
   TestObjInterface
}
  //  
  RadioGroup1.ItemIndex :=0;
end;


procedure TForm1.FormDestroy(Sender: TObject);
begin
  //  ,   
  TestObjInterface:= nil;
  II:= nil;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  // AmlPages
  TestObjInterface.LaunchAmlPages;
end;

procedure TForm1.Button2Click(Sender: TObject);
var rv: WordBool;
begin
  //   AmlPages
  rv:= TestObjInterface.SendText(PChar(Memo1.Text), RadioGroup1.ItemIndex, 5 );

  if not rv then
  case TestObjInterface.GetLastError of
    ADS_ERRORS_INVALIDARG         : Memo1.Lines.Add('INVALIDARG');
    ADS_ERRORS_SUCCESS            : Memo1.Lines.Add('SUCCESS');
    ADS_ERRORS_INSTANCENOTFOUND   : Memo1.Lines.Add('INSTANCENOTFOUND');
    ADS_ERRORS_NOTWAITING         : Memo1.Lines.Add('NOTWAITING');
    ADS_ERRORS_QUERYNOTHANDLED    : Memo1.Lines.Add('QUERYNOTHANDLED');
    ADS_ERRORS_OUTOFMEMORY        : Memo1.Lines.Add('OUTOFMEMORY');
  end;
end;

end.
