VERSION 5.00
Begin VB.Form frmTest 
   Caption         =   "Aml Data Sender VB6 Sample - Saving data to Aml Pages documents"
   ClientHeight    =   6585
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9195
   LinkTopic       =   "Form1"
   ScaleHeight     =   6585
   ScaleWidth      =   9195
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton btnSendFromCBAsPlainText 
      Caption         =   "Save As Plain Text From Clipboard (CF_TEXT)"
      Height          =   495
      Left            =   158
      TabIndex        =   6
      ToolTipText     =   "     Aml Pages.        CF_TEXT ( )"
      Top             =   6000
      Width           =   6015
   End
   Begin VB.CommandButton btnSendFromCBAsHTMLFormat 
      Caption         =   "Save As HTML Code from Clipboard (get ""HTML Format)"""
      Height          =   495
      Left            =   158
      TabIndex        =   5
      ToolTipText     =   "        Aml Pages.        ""HTML Format"""
      Top             =   5400
      Width           =   6015
   End
   Begin VB.CommandButton btnSendText 
      Caption         =   "Save Data (method SendText)"
      Height          =   495
      Left            =   6360
      TabIndex        =   4
      Top             =   5400
      Width           =   2655
   End
   Begin VB.ComboBox cmbType 
      Height          =   315
      ItemData        =   "frmTest.frx":0000
      Left            =   165
      List            =   "frmTest.frx":0002
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   4920
      Width           =   8820
   End
   Begin VB.CommandButton btnLaunchAmlPages 
      Caption         =   "LaunchAmlPages"
      Height          =   495
      Left            =   6360
      TabIndex        =   2
      Top             =   6000
      Width           =   2655
   End
   Begin VB.TextBox txtText 
      Height          =   2415
      Left            =   158
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Text            =   "frmTest.frx":0004
      Top             =   2160
      Width           =   8820
   End
   Begin VB.Label Label2 
      Caption         =   "Saving data with AmlDataSender. Please, type text. Press on ""Launch Aml Pages"" and ""Save Data"""
      Height          =   855
      Left            =   158
      TabIndex        =   7
      Top             =   1080
      UseMnemonic     =   0   'False
      Width           =   8820
   End
   Begin VB.Label Label1 
      Caption         =   $"frmTest.frx":0056
      Height          =   975
      Left            =   158
      TabIndex        =   3
      Top             =   0
      UseMnemonic     =   0   'False
      Width           =   8820
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit
Private Sub MsgCantCreate()
MsgBox "    IAmlDataSender" + vbCrLf + _
" AmlDataSender.dll       Windows  COM-" + vbCrLf _
+ "   -: Regsvr32 ___AmlDataSender.dll"
End Sub
Private Sub btnLaunchAmlPages_Click()
'    
Dim data_sender As IAmlDataSender
' ?
On Error GoTo err_create
Set data_sender = New IAmlDataSender

Dim b As Boolean
' Aml Pages
    b = data_sender.LaunchAmlPages
If Not b Then
    Dim s As String
    s = "FALSE: Last Error From Data Sender:" + Trim(data_sender.GetLastError())
    MsgBox s
Else
    MsgBox "  Aml Pages"
End If
' 
Set data_sender = Nothing
Exit Sub
err_create:
If 429 = Err.Number Then
    MsgCantCreate
Else
    MsgBox Err.Description + vbCrLf + Err.Source + vbCrLf + Trim(Err.Number)
End If
End Sub

Private Sub btnSendFromCBAsPlainText_Click()
SendFromClipboard False

End Sub

Private Sub btnSendText_Click()
'    
Dim data_sender As IAmlDataSender
' ?
On Error GoTo err_create
Set data_sender = New IAmlDataSender

Dim s As String
Dim b As Boolean
'  
s = Me.txtText.Text
'  (cheAsHTML.Value  HTML ?)
Dim format As ADS_FORMAT
format = cmbType.ListIndex

b = data_sender.SendText(s, format)
If Not b Then
    s = "FALSE: Last Error From Data Sender:" + Trim(data_sender.GetLastError())
    MsgBox s
Else
    MsgBox "   Aml Pages"
End If
' 
Set data_sender = Nothing
Exit Sub
err_create:
If 429 = Err.Number Then
    MsgCantCreate
Else
    MsgBox Err.Description + vbCrLf + Err.Source + vbCrLf + Trim(Err.Number)
End If
End Sub


Private Sub Form_Load()
With cmbType
    .AddItem "Save As Plain Text -     (Plain Text)"
    .AddItem "Save As HTML Code -   HTML "
    .AddItem "Save As RTF Text     (RTF Text)"
    .AddItem "Save As Web Archive -    Web- ( )"
    .ListIndex = 0
End With
End Sub

Private Sub SendFromClipboard(ByVal bAsHTML As Boolean)
Dim data_sender As IAmlDataSender
' ?
On Error GoTo err_create
Set data_sender = New IAmlDataSender
Dim b As Boolean
If bAsHTML Then
    b = data_sender.SendTextFromClipboardInHTMLFormat
Else
    b = data_sender.SendTextFromClipboardInTextFormat
End If

If Not b Then
    Dim s As String
    s = "FALSE: Last Error From Data Sender:" + Trim(data_sender.GetLastError())
    MsgBox s
Else
    MsgBox "   Aml Pages"
End If
' 
Set data_sender = Nothing
Exit Sub
err_create:
If 429 = Err.Number Then
    MsgCantCreate
Else
    MsgBox Err.Description + vbCrLf + Err.Source + vbCrLf + Trim(Err.Number)
End If
End Sub

