// RichUtilApi.h: interface for the RichUtilApi class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RICHUTILAPI_H__185D2AA2_FB98_11D9_A07B_0000F4AC8CDF__INCLUDED_)
#define AFX_RICHUTILAPI_H__185D2AA2_FB98_11D9_A07B_0000F4AC8CDF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class RichUtilBase  
{
public:
	static bool SetSelToEnd(const HWND hwndRich);
	static bool GetVisibleRange(const HWND hwnd, CHARRANGE& cr);
	static bool GetVisibleRange(const HWND hwnd, long& lStart, long& lEnd);
	typedef void (CALLBACK * PFUNC_CALLBACK)(long,long,LPARAM);
	static bool TextIn(const HWND hwndRich, const bool bSelection,const bool bAsPlainText, LPCTSTR lpszText,PFUNC_CALLBACK pfnCallBack, LPARAM lParam);
	static CString TextOut(const HWND hwndRich, const bool bSelection,const bool bAsPlainText, const bool bAsUnicode,PFUNC_CALLBACK pfnCallBack, LPARAM lParam);
	
	static CString GetSelText(const HWND hwndRich, const bool bAsPlainText) {
		return TextOut(hwndRich,true,bAsPlainText,false,NULL,0);
	}

};

#endif // !defined(AFX_RICHUTILAPI_H__185D2AA2_FB98_11D9_A07B_0000F4AC8CDF__INCLUDED_)
